OpenNMS API 1.2.9

## org.opennms.netmgt.notifd
Class Notifd

    java.lang.Object
      org.opennms.netmgt.notifd.Notifd

All Implemented Interfaces:
  Fiber, PausableFiber

public final class Notifd
extends java.lang.Object
implements PausableFiber

This class is used to represent the notification execution service. When an event is received by this service that has one of either a notification, trouble ticket, or auto action then a process is launched to execute the appropriate commands.

Author:
  Mike Davidson , Brian Weaver , OpenNMS.org

Field Summary
`private static java.lang.String` `LOG4J_CATEGORY` Logging categoyr for log4j
`private NotifdConfigManager` `m_configManager`
`private DbConnectionFactory` `m_dbConnectionFactory`
`private DestinationPathManager` `m_destinationPathManager`
`private EventIpcManager` `m_eventManager`
`private BroadcastEventProcessor` `m_eventReader` The broadcast event receiver.
`private GroupManager` `m_groupManager`
`private java.util.Map` `m_noticeQueues` The map for holding different notice queues
`private NotificationCommandManager` `m_notificationCommandManager`
`private NotificationManager` `m_notificationManager`
`private PollOutagesConfigManager` `m_pollOutagesConfigManager`
`private java.util.Map` `m_queueHandlers`
`private static Notifd` `m_singleton` The signlton instance.
`private int` `m_status` The current status of this fiber
`private UserManager` `m_userManager`

Fields inherited from interface org.opennms.core.fiber.PausableFiber
`PAUSE_PENDING, PAUSED, RESUME_PENDING`

Fields inherited from interface org.opennms.core.fiber.Fiber
`RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

Constructor Summary
`(package private)` `Notifd()` Constructs a new Notifd service daemon.

Method Summary
`BroadcastEventProcessor` `getBroadcastEventProcessor()`
`NotifdConfigManager` `getConfigManager()`
`DestinationPathManager` `getDestinationPathManager()`
`EventIpcManager` `getEventManager()`
`GroupManager` `getGroupManager()`
`static Notifd` `getInstance()` Returns the singular instance of the Notifd daemon.
`java.lang.String` `getName()` Returns the name of the service.
`NotificationCommandManager` `getNotificationCommandManager()`
`NotificationManager` `getNotificationManager()`
`PollOutagesConfigManager` `getPollOutagesConfigManager()`
`int` `getStatus()` Returns the current status of the service.
`UserManager` `getUserManager()`
`void` `init()`
`void` `pause()` Pauses the service if its currently running
`void` `resume()` Resumes the service if its currently paused
`void` `setConfigManager(NotifdConfigManager manager)`
`void` `setDbConnectionFactory(DbConnectionFactory dbConnectionFactory)`
`void` `setDestinationPathManager(DestinationPathManager manager)`
`void` `setEventManager(EventIpcManager eventManager)`
`void` `setGroupManager(GroupManager manager)`
`void` `setNotificationCommandManager(NotificationCommandManager manager)`
`void` `setNotificationManager(NotificationManager notificationManager)`
`void` `setPollOutagesConfigManager(PollOutagesConfigManager configManager)`
`void` `setUserManager(UserManager manager)`
`void` `start()` Starts the Notifd service.
`void` `stop()` Stops the currently running service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG4J_CATEGORY

    private static java.lang.String LOG4J_CATEGORY

  Logging categoyr for log4j

### m_singleton

    private static final Notifd m_singleton

  The signlton instance.

### m_noticeQueues

    private java.util.Map m_noticeQueues

  The map for holding different notice queues

### m_queueHandlers

    private java.util.Map m_queueHandlers

### m_eventReader

    private BroadcastEventProcessor m_eventReader

  The broadcast event receiver.

### m_status

    private int m_status

  The current status of this fiber

### m_eventManager

    private EventIpcManager m_eventManager

### m_configManager

    private NotifdConfigManager m_configManager

### m_dbConnectionFactory

    private DbConnectionFactory m_dbConnectionFactory

### m_notificationManager

    private NotificationManager m_notificationManager

### m_groupManager

    private GroupManager m_groupManager

### m_userManager

    private UserManager m_userManager

### m_destinationPathManager

    private DestinationPathManager m_destinationPathManager

### m_notificationCommandManager

    private NotificationCommandManager m_notificationCommandManager

### m_pollOutagesConfigManager

    private PollOutagesConfigManager m_pollOutagesConfigManager

Constructor Detail

### Notifd

    Notifd()

  Constructs a new Notifd service daemon.

Method Detail

### init

    public void init()

### getConfigManager

    public NotifdConfigManager getConfigManager()

  Returns:

### setConfigManager

    public void setConfigManager(NotifdConfigManager manager)

### getGroupManager

    public GroupManager getGroupManager()

### setGroupManager

    public void setGroupManager(GroupManager manager)

### getUserManager

    public UserManager getUserManager()

### setUserManager

    public void setUserManager(UserManager manager)

### getDestinationPathManager

    public DestinationPathManager getDestinationPathManager()

### setDestinationPathManager

    public void setDestinationPathManager(DestinationPathManager manager)

### getNotificationCommandManager

    public NotificationCommandManager getNotificationCommandManager()

### setNotificationCommandManager

    public void setNotificationCommandManager(NotificationCommandManager manager)

### getNotificationManager

    public NotificationManager getNotificationManager()

### setNotificationManager

    public void setNotificationManager(NotificationManager notificationManager)

### getBroadcastEventProcessor

    public BroadcastEventProcessor getBroadcastEventProcessor()

### start

    public void start()

  Starts the Notifd service. The process of starting the service involves starting the queue handlers and starting an event receiver.

  Specified by:
    `start` in interface `Fiber`

### stop

    public void stop()

  Stops the currently running service. If the service is not running then the command is silently discarded.

  Specified by:
    `stop` in interface `Fiber`

### getStatus

    public int getStatus()

  Returns the current status of the service.

  Specified by:
    `getStatus` in interface `Fiber`
  Returns:
    The service's status.

### getName

    public java.lang.String getName()

  Returns the name of the service.

  Specified by:
    `getName` in interface `Fiber`
  Returns:
    The service's name.

### pause

    public void pause()

  Pauses the service if its currently running

  Specified by:
    `pause` in interface `PausableFiber`

### resume

    public void resume()

  Resumes the service if its currently paused

  Specified by:
    `resume` in interface `PausableFiber`

### getInstance

    public static Notifd getInstance()

  Returns the singular instance of the Notifd daemon. There can be only one instance of this service per virtual machine.

### getEventManager

    public EventIpcManager getEventManager()

  Returns:

### setEventManager

    public void setEventManager(EventIpcManager eventManager)

  Parameters:
    `eventManager` - The eventManager to set.

### setDbConnectionFactory

    public void setDbConnectionFactory(DbConnectionFactory dbConnectionFactory)

  Parameters:
    `dbConnectionFactory` -

### setPollOutagesConfigManager

    public void setPollOutagesConfigManager(PollOutagesConfigManager configManager)

### getPollOutagesConfigManager

    public PollOutagesConfigManager getPollOutagesConfigManager()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.